//	Zinc Application Framework - IMG_US.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_dsp.hpp>

#define bg	ZAF_CLR_BACKGROUND
#define bk	ZAF_CLR_BLACK
#define lg	ZAF_CLR_LIGHTGRAY
#define dg	ZAF_CLR_DARKGRAY
#define re	ZAF_CLR_RED
#define bl	ZAF_CLR_BLUE
#define br	ZAF_CLR_BROWN
#define gr	ZAF_CLR_GREEN
#define ye	ZAF_CLR_YELLOW
#define lb	ZAF_CLR_LIGHTBLUE
#define lr	ZAF_CLR_LIGHTRED
#define wh	ZAF_CLR_WHITE

#if defined(ZAF_MOUSE_INFO)
static ZafLogicalColor ZAF_FARDATA defaultViewArray[160] =
{
	bk,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bk,wh,bk,bg,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,wh,wh,wh,wh,wh,bk,bk,bk,bg,
	bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,bg,bg
};
static ZafMouseStruct _view_ZafMouse(10,16,defaultViewArray,0,0,true);

static ZafLogicalColor ZAF_FARDATA defaultEditArray[75] =
{
	bk,bk,bg,bk,bk,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bg,bg,bk,bg,bg,
	bk,bk,bg,bk,bk
};
static ZafMouseStruct _edit_ZafMouse(5,15,defaultEditArray,2,6,true);

static ZafLogicalColor ZAF_FARDATA defaultWaitArray[405] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,
	bg,bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,wh,wh,wh,wh,lg,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,lg,wh,lg,wh,lg,wh,lg,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,lg,wh,lg,wh,lg,wh,wh,bk,bk,bg,
	bg,bg,bk,bk,wh,wh,lg,wh,lg,wh,wh,bk,bk,bg,bg,
	bg,bg,bg,bk,bk,wh,wh,lg,wh,wh,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,bk,wh,wh,wh,bk,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,wh,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,wh,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,wh,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,bk,wh,wh,wh,bk,bk,bg,bg,bg,bg,
	bg,bg,bg,bk,bk,wh,wh,wh,wh,wh,bk,bk,bg,bg,bg,
	bg,bg,bk,bk,wh,wh,wh,lg,wh,wh,wh,bk,bk,bg,bg,
	bg,bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,wh,wh,lg,wh,wh,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,wh,lg,wh,lg,wh,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,wh,lg,wh,lg,wh,lg,wh,wh,bk,bk,bg,
	bg,bk,bk,wh,lg,wh,lg,wh,lg,wh,lg,wh,bk,bk,bg,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafMouseStruct _wait_ZafMouse(15,27,defaultWaitArray,7,13,true);

static ZafLogicalColor ZAF_FARDATA defaultMoveArray[361] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,bk,bk,wh,bk,bk,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,bg,bg,bg,bg,
	bg,bg,bg,bk,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,bk,bg,bg,bg,
	bg,bg,bk,wh,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,wh,bk,bg,bg,
	bg,bk,wh,wh,bk,bk,bk,bk,bk,wh,bk,bk,bk,bk,bk,wh,wh,bk,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bg,wh,wh,wh,bk,
	bg,bk,wh,wh,bk,bk,bk,bk,bk,wh,bk,bk,bk,bk,bk,wh,wh,bk,bg,
	bg,bg,bk,wh,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,wh,bk,bg,bg,
	bg,bg,bg,bk,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,bg,bg,bg,bk,wh,bk,bg,bg,bg,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,bk,bk,wh,bk,bk,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafMouseStruct _move_ZafMouse(19,19,defaultMoveArray,9,9,true);

static ZafLogicalColor ZAF_FARDATA defaultHorizontalArray[192] =
{
	bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,
	bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,
	bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bk,wh,wh,wh,bk,bk,bk,bk,bk,bk,wh,wh,wh,bk,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	bg,bk,wh,wh,wh,bk,bk,bk,bk,bk,bk,wh,wh,wh,bk,bg,
	bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg
};
static ZafMouseStruct _horizontal_ZafMouse(16,12,defaultHorizontalArray,7,5,true);

static ZafLogicalColor ZAF_FARDATA defaultVerticalArray[192] =
{
	bg,bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bg,bg,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bg,bk,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bk,bk,bk,bk,bk,wh,wh,bk,bk,bk,bk,bk,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bk,bk,bk,bk,bk,wh,wh,bk,bk,bk,bk,bk,
	bg,bk,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bg,bg,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bg,bg,bg,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,bg
};
static ZafMouseStruct _vertical_ZafMouse(12,16,defaultVerticalArray,5,7,true);

static ZafLogicalColor ZAF_FARDATA defaultLeftArray[144] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bk,
	bk,wh,bk,bk,wh,wh,wh,bk,bg,bg,bk,bk,
	bk,bk,bg,bg,bk,wh,wh,wh,bk,bk,wh,bk,
	bk,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafMouseStruct _left_ZafMouse(12,12,defaultLeftArray,5,5,true);

static ZafLogicalColor ZAF_FARDATA defaultRightArray[144] =
{
	bg,bg,bg,bg,bk,bk,bk,bk,bk,bk,bk,bk,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,bk,
	bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,bk,
	bk,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,
	bk,bk,bg,bg,bk,wh,wh,wh,bk,bk,wh,bk,
	bk,wh,bk,bk,wh,wh,wh,bk,bg,bg,bk,bk,
	bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bk,
	bk,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg
};
static ZafMouseStruct _right_ZafMouse(12,12,defaultRightArray,5,5,true);

static ZafLogicalColor ZAF_FARDATA defaultCrossHairsArray[121] =
{
	bg,bg,bg,bg,bk,bk,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bk,bk,bk,bk,bk,wh,bk,bk,bk,bk,bk,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	bk,bk,bk,bk,bk,wh,bk,bk,bk,bk,bk,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,wh,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bk,bk,bk,bg,bg,bg,bg
};
static ZafMouseStruct _crossHairs_ZafMouse(11,11,defaultCrossHairsArray,5,5,true);

static ZafLogicalColor ZAF_FARDATA defaultCancelArray[400] =
{
	bg,bg,bg,bg,bg,bg,bg,wh,wh,wh,wh,wh,wh,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,wh,bk,bk,bk,bk,bk,bk,wh,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,wh,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,bg,bg,bg,bg,
	bg,bg,bg,wh,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bk,bk,wh,bg,bg,bg,
	bg,bg,wh,bk,bk,bk,wh,wh,bg,bg,bg,bg,wh,wh,bk,bk,bk,wh,bg,bg,
	bg,wh,bk,bk,bk,bk,bk,wh,bg,bg,bg,bg,bg,bg,wh,bk,bk,bk,wh,bg,
	bg,wh,bk,bk,wh,bk,bk,bk,wh,bg,bg,bg,bg,bg,bg,wh,bk,bk,wh,bg,
	wh,bk,bk,bk,wh,wh,bk,bk,bk,wh,bg,bg,bg,bg,bg,wh,bk,bk,bk,wh,
	wh,bk,bk,wh,bg,bg,wh,bk,bk,bk,wh,bg,bg,bg,bg,bg,wh,bk,bk,wh,
	wh,bk,bk,wh,bg,bg,bg,wh,bk,bk,bk,wh,bg,bg,bg,bg,wh,bk,bk,wh,
	wh,bk,bk,wh,bg,bg,bg,bg,wh,bk,bk,bk,wh,bg,bg,bg,wh,bk,bk,wh,
	wh,bk,bk,wh,bg,bg,bg,bg,bg,wh,bk,bk,bk,wh,bg,bg,wh,bk,bk,wh,
	wh,bk,bk,bk,wh,bg,bg,bg,bg,bg,wh,bk,bk,bk,wh,wh,bk,bk,bk,wh,
	bg,wh,bk,bk,wh,bg,bg,bg,bg,bg,bg,wh,bk,bk,bk,wh,bk,bk,wh,bg,
	bg,wh,bk,bk,bk,wh,bg,bg,bg,bg,bg,bg,wh,bk,bk,bk,bk,bk,wh,bg,
	bg,bg,wh,bk,bk,bk,wh,wh,bg,bg,bg,bg,wh,wh,bk,bk,bk,wh,bg,bg,
	bg,bg,bg,wh,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bk,bk,wh,bg,bg,bg,
	bg,bg,bg,bg,wh,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,wh,bk,bk,bk,bk,bk,bk,wh,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,wh,wh,wh,wh,wh,wh,bg,bg,bg,bg,bg,bg,bg
};
static ZafMouseStruct _cancel_ZafMouse(20,20,defaultCancelArray,7,7,true);

static ZafLogicalColor ZAF_FARDATA defaultDragMoveArray[390] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,wh,bk,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bk,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,bk,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,wh,wh,bk,wh,bk,bg,bg,bg,
	bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bk,bk,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bg,bg
};
static ZafMouseStruct _dragMove_ZafMouse(15,26,defaultDragMoveArray,7,7,true);

static ZafLogicalColor ZAF_FARDATA defaultDragCopyArray[390] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,bk,wh,bk,bg,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,wh,bk,bk,bk,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,bk,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bk,wh,wh,wh,wh,bk,wh,wh,wh,bk,wh,bk,bg,bg,bg,
	bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bk,bk,bg,
	bg,bg,bg,bg,bg,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bg,bg
};
static ZafMouseStruct _dragCopy_ZafMouse(15,26,defaultDragCopyArray,7,7,true);

static ZafLogicalColor ZAF_FARDATA defaultDragMoveMultipleArray[494] =
{
	bg,bg,bg,bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bk,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,bk,wh,bk,bg,bg,bg,bg,
	bg,bk,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bk,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,bk,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,wh,bk,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bg,bg,bg,
	bk,wh,bk,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,bk,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bk,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bg,bg
};
static ZafMouseStruct _dragMoveMultiple_ZafMouse(19,26,defaultDragMoveMultipleArray,7,7,true);

static ZafLogicalColor ZAF_FARDATA defaultDragCopyMultipleArray[494] =
{
	bg,bg,bg,bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bk,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,bg,bg,bg,bg,bg,
	bg,bg,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,bk,wh,bk,bg,bg,bg,bg,
	bg,bk,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,bk,bk,bk,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,bk,bk,bk,bk,bk,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,bk,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,bk,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,wh,wh,wh,wh,bk,wh,wh,wh,bk,wh,bk,bg,bg,bg,
	bk,wh,bk,wh,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,bk,bk,bg,bg,bg,
	bk,wh,bk,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,bk,bg,bg,bg,
	bk,wh,bk,bk,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,wh,wh,bk,bg,bg,
	bk,wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,bk,bg,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,wh,wh,wh,bk,bk,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,wh,wh,bk,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,bg,bg
};
static ZafMouseStruct _dragCopyMultiple_ZafMouse(19,26,defaultDragCopyMultipleArray,7,7,true);

static ZafLogicalColor ZAF_FARDATA horizontalSplitArray[306] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bk,bk,bk,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,
	wh,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,
	wh,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,bk,wh,wh,wh,wh,wh,wh,wh,wh,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bk,bk,bk,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafMouseStruct _horizontal_split_ZafMouse(17,18,horizontalSplitArray,9,9,true);

static ZafLogicalColor ZAF_FARDATA verticalSplitArray[272] =
{
	bg,bg,bg,bg,bg,wh,wh,wh,wh,wh,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bk,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bk,bg,bg,
	bg,bk,bk,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bk,bk,bg,
	bk,bk,bk,bk,bk,bk,bk,wh,wh,bk,bk,bk,bk,bk,bk,bk,
	bg,bk,bk,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bk,bk,bg,
	bg,bg,bk,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bk,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,bk,wh,wh,bk,wh,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,wh,wh,wh,wh,wh,wh,bg,bg,bg,bg,bg
};
static ZafMouseStruct _vertical_split_ZafMouse(16,17,verticalSplitArray,7,9,true);

#endif // Mouse

#if defined(ZAF_CURSOR_INFO)
static ZafLogicalColor ZAF_FARDATA insertArray[42] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _insert_ZafCursor(2,14,insertArray,true);

static ZafLogicalColor ZAF_FARDATA overstrikeArray[21] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _overstrike_ZafCursor(1,14,overstrikeArray,true);

#endif // Cursor

#if defined(ZAF_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA checkArray[169] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	dg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _check_ZafBitmap(13,13,checkArray,true);

static ZafLogicalColor ZAF_FARDATA checkDepressedArray[169] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	dg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _checkDepressed_ZafBitmap(13,13,checkDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA checkSelectedArray[169] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	dg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,bk,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,bk,bk,wh,lg,wh,
	dg,bk,wh,bk,wh,wh,wh,bk,bk,bk,wh,lg,wh,
	dg,bk,wh,bk,bk,wh,bk,bk,bk,wh,wh,lg,wh,
	dg,bk,wh,bk,bk,bk,bk,bk,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,bk,bk,bk,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,bk,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _checkSelected_ZafBitmap(13,13,checkSelectedArray,true);

static ZafLogicalColor ZAF_FARDATA checkSelectedDepressedArray[169] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	dg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,bk,bk,lg,lg,wh,
	dg,bk,lg,bk,lg,lg,lg,bk,bk,bk,lg,lg,wh,
	dg,bk,lg,bk,bk,lg,bk,bk,bk,lg,lg,lg,wh,
	dg,bk,lg,bk,bk,bk,bk,bk,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,bk,bk,bk,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,bk,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _checkSelectedDepressed_ZafBitmap(13,13,checkSelectedDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA radioArray[169] =
{
	bg,bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,dg,dg,bk,bk,bk,bk,bk,dg,dg,bg,bg,
	bg,dg,bk,bk,wh,wh,wh,wh,wh,bk,bk,wh,bg,
	bg,dg,bk,wh,wh,wh,wh,wh,wh,wh,lg,wh,bg,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,wh,
	bg,dg,bk,wh,wh,wh,wh,wh,wh,wh,lg,wh,bg,
	bg,dg,dg,lg,wh,wh,wh,wh,wh,lg,wh,wh,bg,
	bg,bg,wh,wh,lg,lg,lg,lg,lg,wh,wh,bg,bg,
	bg,bg,bg,bg,wh,wh,wh,wh,wh,bg,bg,bg,bg	
};
static ZafBitmapStruct _radio_ZafBitmap(13,13,radioArray,true);

static ZafLogicalColor ZAF_FARDATA radioDepressedArray[169] =
{
	bg,bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,dg,dg,bk,bk,bk,bk,bk,dg,dg,bg,bg,
	bg,dg,bk,bk,lg,lg,lg,lg,lg,bk,bk,wh,bg,
	bg,dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,wh,bg,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bg,dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,wh,bg,
	bg,dg,dg,lg,lg,lg,lg,lg,lg,lg,wh,wh,bg,
	bg,bg,wh,wh,lg,lg,lg,lg,lg,wh,wh,bg,bg,
	bg,bg,bg,bg,wh,wh,wh,wh,wh,bg,bg,bg,bg	
};
static ZafBitmapStruct _radioDepressed_ZafBitmap(13,13,radioDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA radioSelectedArray[169] =
{
	bg,bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,dg,dg,bk,bk,bk,bk,bk,dg,dg,bg,bg,
	bg,dg,bk,bk,wh,wh,wh,wh,wh,bk,bk,wh,bg,
	bg,dg,bk,wh,wh,wh,wh,wh,wh,wh,lg,wh,bg,
	dg,bk,wh,wh,wh,bk,bk,bk,wh,wh,wh,lg,wh,
	dg,bk,wh,wh,bk,bk,bk,bk,bk,wh,wh,lg,wh,
	dg,bk,wh,wh,bk,bk,bk,bk,bk,wh,wh,lg,wh,
	dg,bk,wh,wh,bk,bk,bk,bk,bk,wh,wh,lg,wh,
	dg,bk,wh,wh,wh,bk,bk,bk,wh,wh,wh,lg,wh,
	bg,dg,bk,wh,wh,wh,wh,wh,wh,wh,lg,wh,bg,
	bg,dg,dg,lg,wh,wh,wh,wh,wh,lg,wh,wh,bg,
	bg,bg,wh,wh,lg,lg,lg,lg,lg,wh,wh,bg,bg,
	bg,bg,bg,bg,wh,wh,wh,wh,wh,bg,bg,bg,bg	
};
static ZafBitmapStruct _radioSelected_ZafBitmap(13,13,radioSelectedArray,true);

static ZafLogicalColor ZAF_FARDATA radioSelectedDepressedArray[169] =
{
	bg,bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,dg,dg,bk,bk,bk,bk,bk,dg,dg,bg,bg,
	bg,dg,bk,bk,lg,lg,lg,lg,lg,bk,bk,wh,bg,
	bg,dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,wh,bg,
	dg,bk,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,wh,
	dg,bk,lg,lg,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	dg,bk,lg,lg,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	dg,bk,lg,lg,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	dg,bk,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,wh,
	bg,dg,bk,lg,lg,lg,lg,lg,lg,lg,lg,wh,bg,
	bg,dg,dg,lg,lg,lg,lg,lg,lg,lg,wh,wh,bg,
	bg,bg,wh,wh,lg,lg,lg,lg,lg,wh,wh,bg,bg,
	bg,bg,bg,bg,wh,wh,wh,wh,wh,bg,bg,bg,bg	
};
static ZafBitmapStruct _radioSelectedDepressed_ZafBitmap(13,13,radioSelectedDepressedArray,true);

#endif // Button

#if defined(ZAF_MINIMIZE_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA minNormalArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _min_ZafBitmap(16,14,minNormalArray,true);

static ZafLogicalColor ZAF_FARDATA minDepressedArray[224] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,wh,
	bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _minDepressed_ZafBitmap(16,14,minDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA minimizedArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _minimized_ZafBitmap(16,14,minimizedArray,true);

static ZafLogicalColor ZAF_FARDATA minimizedDepressedArray[224] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _minimizedDepressed_ZafBitmap(16,14,minimizedDepressedArray,true);
#endif // Minimize Button

#if defined(ZAF_MAXIMIZE_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA maxNormalArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _max_ZafBitmap(16,14,maxNormalArray,true);

static ZafLogicalColor ZAF_FARDATA maxNormDepressedArray[224] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,lg,lg,lg,bk,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,bk,bk,bk,lg,lg,wh,
	bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,
};
static ZafBitmapStruct _maxDepressed_ZafBitmap(16,14,maxNormDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA maximizedArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _maximized_ZafBitmap(16,14,maximizedArray,true);

static ZafLogicalColor ZAF_FARDATA maximizedDepressedArray[224] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,lg,lg,lg,lg,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,bk,bk,bk,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _maximizedDepressed_ZafBitmap(16,14,maximizedDepressedArray,true);
#endif // Maximize Button

#if defined(ZAF_CLOSE_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA closeNormalArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,lg,lg,lg,lg,lg,bk,bk,lg,lg,dg,bk,
	wh,lg,lg,lg,bk,bk,lg,lg,lg,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,lg,bk,bk,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,bk,bk,lg,bk,bk,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,bk,bk,lg,lg,lg,bk,bk,lg,lg,lg,dg,bk,
	wh,lg,lg,bk,bk,lg,lg,lg,lg,lg,bk,bk,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _close_ZafBitmap(16,14,closeNormalArray,true);

static ZafLogicalColor ZAF_FARDATA closeDepressedArray[224] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,lg,lg,lg,lg,lg,bk,bk,lg,lg,wh,
	bk,dg,lg,lg,lg,bk,bk,lg,lg,lg,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,lg,bk,bk,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,lg,bk,bk,bk,lg,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,lg,bk,bk,lg,bk,bk,lg,lg,lg,lg,wh,
	bk,dg,lg,lg,lg,bk,bk,lg,lg,lg,bk,bk,lg,lg,lg,wh,
	bk,dg,lg,lg,bk,bk,lg,lg,lg,lg,lg,bk,bk,lg,lg,wh,
	bk,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,wh,
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh
};
static ZafBitmapStruct _closeDepressed_ZafBitmap(16,14,closeDepressedArray,true);

static ZafLogicalColor ZAF_FARDATA closeDisabledArray[224] =
{
	wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,dg,dg,lg,lg,lg,lg,lg,dg,dg,wh,lg,dg,bk,
	wh,lg,lg,lg,dg,dg,lg,lg,lg,dg,dg,wh,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,dg,dg,lg,dg,dg,wh,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,dg,dg,dg,wh,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,lg,dg,dg,dg,lg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,lg,dg,dg,wh,dg,dg,lg,lg,lg,lg,dg,bk,
	wh,lg,lg,lg,dg,dg,wh,lg,lg,dg,dg,lg,lg,lg,dg,bk,
	wh,lg,lg,dg,dg,wh,lg,lg,lg,lg,dg,dg,lg,lg,dg,bk,
	wh,lg,lg,lg,wh,lg,lg,lg,lg,lg,wh,lg,wh,lg,dg,bk,
	wh,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _closeDisabled_ZafBitmap(16,14,closeDisabledArray,true);
#endif // Close Button

#if defined(ZAF_SYSTEM_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA sysButtonArray[21] =
{
	bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _sys_ZafBitmap(7,3,sysButtonArray,true);
#endif // System Button

#if defined(ZAF_SCROLL_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA scrollUpArrowArray[28] =
{
	bg,bg,bg,bk,bg,bg,bg,
	bg,bg,bk,bk,bk,bg,bg,
	bg,bk,bk,bk,bk,bk,bg,
	bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _scrollUpArrow_ZafBitmap(7,4,scrollUpArrowArray,true);

static ZafLogicalColor ZAF_FARDATA scrollDownArrowArray[28] =
{
	bk,bk,bk,bk,bk,bk,bk,
	bg,bk,bk,bk,bk,bk,bg,
	bg,bg,bk,bk,bk,bg,bg,
	bg,bg,bg,bk,bg,bg,bg
};
static ZafBitmapStruct _scrollDownArrow_ZafBitmap(7,4,scrollDownArrowArray,true);

static ZafLogicalColor ZAF_FARDATA scrollLeftArrowArray[28] =
{
	bg,bg,bg,bk,
	bg,bg,bk,bk,
	bg,bk,bk,bk,
	bk,bk,bk,bk,
	bg,bk,bk,bk,
	bg,bg,bk,bk,
	bg,bg,bg,bk
};
static ZafBitmapStruct _scrollLeftArrow_ZafBitmap(4,7,scrollLeftArrowArray,true);

static ZafLogicalColor ZAF_FARDATA scrollRightArrowArray[28] =
{
	bk,bg,bg,bg,
	bk,bk,bg,bg,
	bk,bk,bk,bg,
	bk,bk,bk,bk,
	bk,bk,bk,bg,
	bk,bk,bg,bg,
	bk,bg,bg,bg
};
static ZafBitmapStruct _scrollRightArrow_ZafBitmap(4,7,scrollRightArrowArray,true);
#endif // Scroll Button

#if defined(ZAF_SPIN_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA spinUpArrowArray[6] =
{
	bg,bk,bg,
	bk,bk,bk
};
static ZafBitmapStruct _spinUpArrow_ZafBitmap(3,2,spinUpArrowArray,true);

static ZafLogicalColor ZAF_FARDATA spinDownArrowArray[6] =
{
	bk,bk,bk,
	bg,bk,bg
};
static ZafBitmapStruct _spinDownArrow_ZafBitmap(3,2,spinDownArrowArray,true);
#endif // Spin Button

#if defined(ZAF_POPUP_INFO)
static ZafLogicalColor ZAF_FARDATA popupCheckNormalArray[90] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bk,
	bg,bg,bg,bg,bg,bg,bg,bg,bk,
	bg,bg,bg,bg,bg,bg,bg,bk,bk,
	bg,bg,bg,bg,bg,bg,bg,bk,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,bg,
	bg,bk,bg,bg,bg,bg,bk,bg,bg,
	bk,bk,bk,bg,bg,bk,bk,bg,bg,
	bg,bg,bk,bk,bg,bk,bg,bg,bg,
	bg,bg,bg,bk,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,bg,bg,bg,bg
};
static ZafBitmapStruct _popupCheck_ZafBitmap(9,10,popupCheckNormalArray,true);

static ZafLogicalColor ZAF_FARDATA popupCheckCurrentArray[90] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,wh,
	bg,bg,bg,bg,bg,bg,bg,bg,wh,
	bg,bg,bg,bg,bg,bg,bg,wh,wh,
	bg,bg,bg,bg,bg,bg,bg,wh,bg,
	bg,bg,bg,bg,bg,bg,wh,wh,bg,
	bg,wh,bg,bg,bg,bg,wh,bg,bg,
	wh,wh,wh,bg,bg,wh,wh,bg,bg,
	bg,bg,wh,wh,bg,wh,bg,bg,bg,
	bg,bg,bg,wh,wh,wh,bg,bg,bg,
	bg,bg,bg,bg,wh,bg,bg,bg,bg
};
static ZafBitmapStruct _popupCheckCurrent_ZafBitmap(9,10,popupCheckCurrentArray,true);

static ZafLogicalColor ZAF_FARDATA popupArrowNormalArray[45] =
{
	bk,bg,bg,bg,bg,
	bk,bk,bg,bg,bg,
	bk,bk,bk,bg,bg,
	bk,bk,bk,bk,bg,
	bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bg,
	bk,bk,bk,bg,bg,
	bk,bk,bg,bg,bg,
	bk,bg,bg,bg,bg
};
static ZafBitmapStruct _popupArrow_ZafBitmap(5,9,popupArrowNormalArray,true);

static ZafLogicalColor ZAF_FARDATA popupArrowCurrentArray[45] =
{															   
	wh,bg,bg,bg,bg,
	wh,wh,bg,bg,bg,
	wh,wh,wh,bg,bg,
	wh,wh,wh,wh,bg,
	wh,wh,wh,wh,wh,
	wh,wh,wh,wh,bg,
	wh,wh,wh,bg,bg,
	wh,wh,bg,bg,bg,
	wh,bg,bg,bg,bg
};
static ZafBitmapStruct _popupArrowCurrent_ZafBitmap(5,9,popupArrowCurrentArray,true);
#endif // Pop-up item

#if defined(ZAF_TREE_INFO)
#	if defined(ZAF_MSWINDOWS) || defined(ZAF_MSDOS)
static ZafLogicalColor ZAF_FARDATA defaultCompressArray[81] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bg,bg,bk,bg,bg,bg,dg,
	dg,bg,bg,bg,bk,bg,bg,bg,dg,
	dg,bg,bk,bk,bk,bk,bk,bg,dg,
	dg,bg,bg,bg,bk,bg,bg,bg,dg,
	dg,bg,bg,bg,bk,bg,bg,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,dg,dg,dg,dg,dg,dg,dg,dg,
};
static ZafBitmapStruct _compress_ZafBitmap(9,9,defaultCompressArray,true);

static ZafLogicalColor ZAF_FARDATA defaultExpandArray[81] =
{
	dg,dg,dg,dg,dg,dg,dg,dg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bk,bk,bk,bk,bk,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,bg,bg,bg,bg,bg,bg,bg,dg,
	dg,dg,dg,dg,dg,dg,dg,dg,dg,
};
static ZafBitmapStruct _expand_ZafBitmap(9,9,defaultExpandArray,true);
#	elif defined(ZAF_MACINTOSH)
static ZafLogicalColor ZAF_FARDATA defaultCompressArray[66] =
{
	bk,bg,bg,bg,bg,bg,
	bk,bk,bg,bg,bg,bg,
	bk,lg,bk,bg,bg,bg,
	bk,lg,lg,bk,bg,bg,
	bk,lg,lg,lg,bk,bg,
	bk,lg,lg,lg,lg,bk,
	bk,lg,lg,lg,bk,bg,
	bk,lg,lg,bk,bg,bg,
	bk,lg,bk,bg,bg,bg,
	bk,bk,bg,bg,bg,bg,
	bk,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _compress_ZafBitmap(6,11,defaultCompressArray,true);

static ZafLogicalColor ZAF_FARDATA defaultExpandArray[66] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bg,bk,lg,lg,lg,lg,lg,lg,lg,bk,bg,
	bg,bg,bk,lg,lg,lg,lg,lg,bk,bg,bg,
	bg,bg,bg,bk,lg,lg,lg,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,lg,bk,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bk,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _expand_ZafBitmap(11,6,defaultExpandArray,true);
#	else
static ZafLogicalColor ZAF_FARDATA defaultCompressArray[45] =
{
	bk,bg,bg,bg,bg,
	bk,bk,bg,bg,bg,
	bk,bk,bk,bg,bg,
	bk,bk,bk,bk,bg,
	bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bg,
	bk,bk,bk,bg,bg,
	bk,bk,bg,bg,bg,
	bk,bg,bg,bg,bg
};
static ZafBitmapStruct _compress_ZafBitmap(5,9,defaultCompressArray,true);

static ZafLogicalColor ZAF_FARDATA defaultExpandArray[45] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bg,bk,bk,bk,bk,bk,bk,bk,bg,
	bg,bg,bk,bk,bk,bk,bk,bg,bg,
	bg,bg,bg,bk,bk,bk,bg,bg,bg,
	bg,bg,bg,bg,bk,bg,bg,bg,bg
};
static ZafBitmapStruct _expand_ZafBitmap(9,5,defaultExpandArray,true);
#	endif
#endif // Tree

#if defined(ZAF_ICON_INFO)
static ZafLogicalColor ZAF_FARDATA applicationIconArray[1024] =
{
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,
	bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafIconStruct _application_ZafIcon(32,32,applicationIconArray,true);

static ZafLogicalColor ZAF_FARDATA asteriskIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,lg,wh,wh,wh,wh,wh,wh,lg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,dg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,dg,lg,wh,wh,wh,wh,wh,lg,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,lg,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,bg,bg,bg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,bg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,lb,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,bg,
	bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,
	bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,bk,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,dg,bk,bk,bk,lg,wh,wh,wh,wh,wh,wh,lg,bk,bk,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bk,bk,bk,lg,wh,wh,wh,bk,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,bk,wh,wh,wh,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bk,wh,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafIconStruct _asterisk_ZafIcon(32,32,asteriskIconArray,true);

static ZafLogicalColor ZAF_FARDATA exclamationIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,br,br,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,lg,bk,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,lg,bk,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,lg,bk,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,lg,bk,bk,bk,lg,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,bk,bk,bk,bk,bk,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,bk,bk,bk,bk,bk,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,bk,bk,bk,bk,bk,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,bk,bk,bk,bk,bk,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,bk,bk,bk,bk,bk,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,br,bk,bk,bk,br,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,lg,bk,bk,bk,lg,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,bk,bk,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,br,bk,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,bg,
	bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,lg,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,bg,
	bg,bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,bg,
	bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,bg,
	bg,bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,bk,lg,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,bg,
	bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,bk,bk,bk,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,
	bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,bk,bk,bk,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,dg,
	br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,bk,lg,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,
	br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,bk,dg,
	br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,
	bg,br,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,ye,lg,bk,dg,dg,
	bg,bg,br,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,dg,dg,dg,
	bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg
};
static ZafIconStruct _exclamation_ZafIcon(32,32,exclamationIconArray,true);

static ZafLogicalColor ZAF_FARDATA handIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,re,re,re,re,re,re,re,re,re,re,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,
	bg,bg,re,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,
	bg,bg,re,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,re,dg,bg,bg,bg,
	bg,re,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,re,dg,bg,bg,
	bg,re,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,re,dg,bg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,re,dg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	bg,re,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,re,dg,dg,dg,
	bg,re,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,re,dg,dg,dg,
	bg,bg,re,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,re,dg,dg,dg,bg,
	bg,bg,re,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,re,dg,dg,dg,bg,
	bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,dg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,re,re,re,re,re,re,re,re,re,re,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafIconStruct _hand_ZafIcon(32,32,handIconArray,true);

static ZafLogicalColor ZAF_FARDATA questionIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,lg,wh,wh,wh,wh,wh,wh,lg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,dg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lg,wh,wh,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,lg,bk,bg,bg,bg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,bg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,lg,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,bg,
	bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,
	bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,bk,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,dg,bk,bk,bk,lg,wh,wh,wh,wh,wh,wh,lg,bk,bk,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bk,bk,bk,lg,wh,wh,wh,bk,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,bk,wh,wh,wh,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bk,wh,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafIconStruct _question_ZafIcon(32,32,questionIconArray,true);
#endif // Icon

#if defined(ZAF_ERROR_ICON_INFO)
static ZafLogicalColor ZAF_FARDATA errorIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,re,re,re,re,re,re,re,re,re,re,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,bg,
	bg,bg,re,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,re,bg,bg,bg,bg,
	bg,bg,re,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,re,dg,bg,bg,bg,
	bg,re,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,re,dg,bg,bg,
	bg,re,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,re,dg,bg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,re,dg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,bg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	re,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,
	bg,re,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,re,dg,dg,dg,
	bg,re,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,wh,wh,lr,lr,lr,lr,re,dg,dg,dg,
	bg,bg,re,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,wh,wh,lr,lr,lr,lr,re,dg,dg,dg,bg,
	bg,bg,re,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,wh,lr,lr,lr,lr,lr,re,dg,dg,dg,bg,
	bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,bg,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,dg,dg,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,dg,re,re,lr,lr,lr,lr,lr,lr,lr,lr,lr,lr,re,re,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,re,re,re,re,re,re,re,re,re,re,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _error_ZafIcon(32,32,errorIconArray,true);
#endif // Error Icon

#if defined(ZAF_HELP_SYSTEM_INFO)
static ZafLogicalColor ZAF_FARDATA defaultHelpIconArray[1024] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,lg,wh,wh,wh,wh,wh,wh,lg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,dg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,bg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lg,wh,wh,lb,lb,lb,lb,lg,wh,wh,wh,wh,wh,wh,bk,bg,bg,bg,bg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,lg,bk,bg,bg,bg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,bg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,lg,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,
	bg,dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,
	bg,bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lb,lb,lb,lb,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,bg,
	bg,bg,bg,bk,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,lb,lb,lg,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,
	bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,bk,dg,dg,dg,dg,bg,bg,
	bg,bg,bg,bg,bg,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,dg,dg,dg,dg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bk,bk,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,bk,bk,dg,dg,dg,dg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,dg,bk,bk,bk,lg,wh,wh,wh,wh,wh,wh,lg,bk,bk,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bk,bk,bk,lg,wh,wh,wh,bk,dg,dg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,dg,bk,wh,wh,wh,bk,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bk,wh,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,wh,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bk,bk,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafIconStruct _help_ZafIcon(32,32,defaultHelpIconArray,true);
#endif // Help Icon

#if defined(ZAF_COMBO_BUTTON_INFO)
static ZafLogicalColor ZAF_FARDATA comboDownArrowArray[28] =
{
	bk,bk,bk,bk,bk,bk,bk,
	bg,bk,bk,bk,bk,bk,bg,
	bg,bg,bk,bk,bk,bg,bg,
	bg,bg,bg,bk,bg,bg,bg
};
static ZafBitmapStruct _comboDownArrow_ZafBitmap(7,4,comboDownArrowArray,true);
#endif // Combo button

#if defined(ZAF_NOTEBOOK_SCROLL_ARROWS_INFO)
static ZafLogicalColor ZAF_FARDATA scrollLeftArrowArray[28] =
{
	bg,bg,bg,bk,
	bg,bg,bk,bk,
	bg,bk,bk,bk,
	bk,bk,bk,bk,
	bg,bk,bk,bk,
	bg,bg,bk,bk,
	bg,bg,bg,bk
};
static ZafBitmapStruct _scrollLeftArrow_ZafBitmap(4,7,scrollLeftArrowArray,true);

static ZafLogicalColor ZAF_FARDATA scrollRightArrowArray[28] =
{
	bk,bg,bg,bg,
	bk,bk,bg,bg,
	bk,bk,bk,bg,
	bk,bk,bk,bk,
	bk,bk,bk,bg,
	bk,bk,bg,bg,
	bk,bg,bg,bg
};
static ZafBitmapStruct _scrollRightArrow_ZafBitmap(4,7,scrollRightArrowArray,true);
#endif // Notebook Scroll Arrows

#if defined(ZAF_FILE_DIALOG_INFO)
static ZafLogicalColor ZAF_FARDATA openFileArray[208] =
{
	bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,dg,wh,wh,wh,wh,wh,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,dg,wh,dg,ye,dg,ye,dg,wh,dg,dg,dg,dg,dg,dg,bg,
	bg,dg,wh,ye,dg,ye,dg,ye,dg,wh,wh,wh,wh,wh,dg,bk,
	bg,dg,wh,dg,ye,dg,ye,dg,ye,dg,ye,dg,ye,dg,dg,bk,
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,ye,dg,bk,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,dg,bk,dg,dg,bk,
	dg,wh,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,bk,dg,dg,bk,
	bg,dg,wh,lg,ye,lg,ye,lg,ye,lg,ye,lg,dg,bk,dg,bk,
	bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,bk,dg,bk,
	bg,bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,dg,bk,bk,
	bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,bk,
	bg,bg,bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _openFile_ZafBitmap(16,13,openFileArray,true);

static ZafLogicalColor ZAF_FARDATA closedFileArray[208] =
{
	bg,bg,bg,dg,dg,dg,dg,dg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,dg,ye,lg,ye,lg,ye,dg,bg,bg,bg,bg,bg,bg,bg,
	bg,dg,ye,lg,ye,lg,ye,lg,ye,dg,dg,dg,dg,dg,dg,bg,
	bg,dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,dg,bk,
	bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,dg,bk,
	bg,dg,wh,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,dg,bk,
	bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,dg,bk,
	bg,dg,wh,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,dg,bk,
	bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,dg,bk,
	bg,dg,wh,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,dg,bk,
	bg,dg,wh,ye,lg,ye,lg,ye,lg,ye,lg,ye,lg,ye,dg,bk,
	bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,
	bg,bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk
};
static ZafBitmapStruct _closedFile_ZafBitmap(16,13,closedFileArray,true);

static ZafLogicalColor ZAF_FARDATA hardDriveArray[208] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,
	bg,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,dg,dg,bk,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,gr,lg,dg,dg,bk,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,dg,bk,
	dg,lg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,lg,dg,dg,bk,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,dg,bk,
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,bg,
	bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _hardDrive_ZafBitmap(16,13,hardDriveArray,true);

static ZafLogicalColor ZAF_FARDATA floppyDriveArray[208] =
{
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,
	bg,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bg,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,dg,dg,bk,
	dg,lg,lg,lg,lg,dg,dg,dg,dg,lg,lg,re,lg,dg,dg,bk,
	dg,lg,dg,dg,dg,bk,bk,bk,bk,dg,dg,dg,lg,dg,dg,bk,
	dg,lg,lg,lg,lg,wh,wh,wh,wh,lg,lg,lg,lg,dg,dg,bk,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,dg,bk,
	dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bk,bg,
	bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _floppyDrive_ZafBitmap(16,13,floppyDriveArray,true);

static ZafLogicalColor ZAF_FARDATA networkDriveArray[208] =
{
	bg,bg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,bg,bg,
	bg,dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,bk,
	dg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,dg,dg,bk,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,gr,lg,dg,dg,bk,
	dg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,lg,dg,dg,bk,
	dg,lg,dg,dg,dg,dg,dg,dg,dg,dg,dg,dg,lg,dg,dg,bk,
	dg,lg,wh,wh,wh,wh,wh,wh,wh,wh,wh,wh,lg,dg,bk,bg,
	bg,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bk,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,bk,bk,bg,bg,bg,bg,bg,bg,bg,
	bg,bg,bg,bg,bg,bg,bg,lg,bk,bg,bg,bg,bg,bg,bg,bg,
	lg,lg,lg,lg,lg,lg,ye,ye,ye,bk,lg,lg,lg,lg,lg,lg,
	bk,bk,bk,bk,bk,bk,ye,wh,ye,bk,bk,bk,bk,bk,bk,bk,
	bg,bg,bg,bg,bg,bg,bk,bk,bk,bk,bg,bg,bg,bg,bg,bg
};
static ZafBitmapStruct _networkDrive_ZafBitmap(16,13,networkDriveArray,true);
#endif // File dialog

#undef bg
#undef bk
#undef lg
#undef dg
#undef re
#undef bl
#undef br
#undef gr
#undef ye
#undef lb
#undef lr
#undef wh

