//	Zinc Application Framework - LOC_CN.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#define locCodeset	CP_UNICODE
#define LENGTHOF(x)	(sizeof(x)/sizeof((x)[0]))

// Locale definitions for People's Republic of China (CN).
static ZafIChar ZAF_FARDATA defaultLocaleName[] = ZAF_ITEXT("CN");
static ZafIChar tAltDigits[20] =
	{ 0x3007, 0x4e00, 0x4e8c, 0x4e09, 0x56db, 0x4e94, 0x516d, 0x4e03, 0x516b, 0x4e5d, 0x5341, 0x767e, 0x5343, 0x842c, 0 };

static ZafLocaleStruct ZAF_FARDATA defaultLocale =
{
	ZAF_ITEXT("."),		// decimalSeparator
	ZAF_ITEXT("."),		// monDecimalSeparator
	ZAF_ITEXT(","),		// thousandsSeparator
	ZAF_ITEXT(","),		// monThousandsSeparator
	{ 0xa5, 0 },		// currencySymbol
	{ 3, 0 },			// grouping
	{ 3, 0 },			// monGrouping
	ZAF_ITEXT("CNY "),	// intCurrencySymbol
	1,					// posCurrencyPrecedes
	1,					// negCurrencyPrecedes
	2,					// fractionDigits
	2,					// intFractionDigits
	ZAF_ITEXT("+"),		// positiveSign
	1,					// posSignPrecedes
	0,					// posSpaceSeparation
	ZAF_ITEXT("-"),		// negativeSign
	1,					// negSignPrecedes
	0,					// negSpaceSeparation
	ZAF_ITEXT("("),
	ZAF_ITEXT(")"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%d"),
	ZAF_ITEXT("%g"),
	ZAF_ITEXT("%g"),
	(ZAF_ITEXT("%H:%M:%S\n")
		ZAF_ITEXT("%H%M%S\n")
		ZAF_ITEXT("%H:%M\n")
		ZAF_ITEXT("%H%M\n")
		ZAF_ITEXT("%H%")),
	ZAF_ITEXT("%H:%M:%S"),
	ZAF_ITEXT("%H:%M:%S"),
	(ZAF_ITEXT("%d.%m.%y\n")
		ZAF_ITEXT("%d%m%y\n")
		ZAF_ITEXT("%d%h%y\n")
		ZAF_ITEXT("%d.%m.%Y\n")
		ZAF_ITEXT("%d%m%Y\n")
		ZAF_ITEXT("%d%h%Y\n")
		ZAF_ITEXT("%d%m\n")
		ZAF_ITEXT("%d%h")),
	ZAF_ITEXT("%Y.%m.%d"),
	ZAF_ITEXT("%D%T"),
	ZAF_ITEXT("%Y.%m.%d %H:%M:%S"),
	ZAF_ITEXT("0123456789"),
	tAltDigits,
	ZAF_ITEXT(":"),
	ZAF_ITEXT("."),
	2299160L,			// Oct 4, 1582
	11,					// to 2299171L	Oct 15, 1582
	0,
	ZAF_NULLP(ZafEraStruct)
};

