## ----- Install options -----
CC = CC
LINK = CC
CC_FLAGS =
LINK_FLAGS =
CPP_EXTENSION = .cpp
INCLUDE_DIRS =
LIB_DIRS = -L/usr/lib/Motif1.2 -L/usr/lib/X11R5
GUI_LIBS = -lXm -lXt -lX11
LIBS = -lm

## ----- General options -----
ZAF_INC_DIR = ../../include
ZAF_LIB_DIR = ../../lib
Z_INCLUDE_DIRS = -I. -I$(ZAF_INC_DIR) $(INCLUDE_DIRS)
Z_LIB_DIRS = -L$(ZAF_LIB_DIR) $(LIB_DIRS)
Z_LIBS = -lZafMtfP -lZafMtf $(GUI_LIBS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .o $(CPP_EXTENSION)

$(CPP_EXTENSION).o:
	$(CC) $(CC_FLAGS) $(Z_INCLUDE_DIRS) -c $<

posix: loc2dat uloc2dat lang2dat ulang2dat map2dat

clean:
	-rm -f *.o core loc2dat uloc2dat lang2dat

loc2dat: loc2dat.o \
	loc_at.o \
	loc_ca.o \
	loc_cafr.o \
	loc_de.o \
	loc_dk.o \
	loc_es.o \
	loc_fi.o \
	loc_fr.o \
	loc_gb.o \
	loc_it.o \
	loc_mx.o \
	loc_nl.o \
	loc_no.o \
	loc_se.o \
	loc_us.o
	$(LINK) $(LINK_FLAGS) -o $@ loc2dat.o \
	loc_at.o \
	loc_ca.o \
	loc_cafr.o \
	loc_de.o \
	loc_dk.o \
	loc_es.o \
	loc_fi.o \
	loc_fr.o \
	loc_gb.o \
	loc_it.o \
	loc_mx.o \
	loc_nl.o \
	loc_no.o \
	loc_se.o \
	loc_us.o $(Z_LIB_DIRS) $(Z_LIBS)

uloc2dat: uloc2dat.o \
	loc_cn.o \
	loc_gr.o \
	loc_jp.o \
	loc_kr.o \
	loc_tw.o
	$(LINK) $(LINK_FLAGS) -o $@ uloc2dat.o \
	loc_cn.o \
	loc_gr.o \
	loc_jp.o \
	loc_kr.o \
	loc_tw.o $(Z_LIB_DIRS) $(Z_LIBS)

lang2dat: lang2dat.o \
	lang_ca.o \
	lang_da.o \
	lang_de.o \
	lang_en.o \
	lang_es.o \
	lang_fi.o \
	lang_fr.o \
	lang_it.o \
	lang_nl.o \
	lang_no.o \
	lang_sv.o
	$(LINK) $(LINK_FLAGS) -o $@ lang2dat.o \
	lang_ca.o \
	lang_da.o \
	lang_de.o \
	lang_en.o \
	lang_es.o \
	lang_fi.o \
	lang_fr.o \
	lang_it.o \
	lang_nl.o \
	lang_no.o \
	lang_sv.o $(Z_LIB_DIRS) $(Z_LIBS)

ulang2dat: ulang2dat.o \
	lang_el.o \
	lang_ja.o \
	lang_ko.o
	$(LINK) $(LINK_FLAGS) -o $@ ulang2dat.o \
	lang_el.o \
	lang_ja.o \
	lang_ko.o $(Z_LIB_DIRS) $(Z_LIBS)

map2dat: map2dat.o \
	map437.o \
	map737.o \
	map850.o \
	map852.o \
	map855.o \
	map857.o \
	map860.o \
	map861.o \
	map863.o \
	map865.o \
	map866.o \
	map869.o \
	map1250.o \
	map1251.o \
	map1252.o \
	map1253.o \
	map1254.o \
	map1255.o \
	map1256.o \
	mapmac.o 
	$(LINK) $(LINK_FLAGS) -o $@ map2dat.o \
	map437.o \
	map737.o \
	map850.o \
	map852.o \
	map855.o \
	map857.o \
	map860.o \
	map861.o \
	map863.o \
	map865.o \
	map866.o \
	map869.o \
	map1250.o \
	map1251.o \
	map1252.o \
	map1253.o \
	map1254.o \
	map1255.o \
	map1256.o \
	mapmac.o $(Z_LIB_DIRS) $(Z_LIBS)

