//	Zinc Application Framework - Z_NOTEBK.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <z_notebk.hpp>
#include <z_string.hpp>
#include <z_title.hpp>
#if defined(ZAF_MSDOS)
#	include "d_notebk.hpp"
#elif defined(ZAF_MACINTOSH)
#	include "a_notebk.hpp"
#endif
#define ZAF_NOTEBOOK_INFO
#include "gbl_def.cpp"

// ----- ZafNotebook --------------------------------------------------------

ZafNotebook::ZafNotebook(int left, int top, int width, int height) :
	ZafWindow(left, top, width, height),
	tabHeight(0), tabWidth(0), currentPage(-1)
{
}

ZafNotebook::ZafNotebook(const ZafNotebook &copy) :
	ZafWindow(copy),
	tabHeight(copy.tabHeight), tabWidth(copy.tabWidth),
	currentPage(copy.currentPage)
{
}

ZafNotebook::~ZafNotebook(void)
{
}

ZafWindowObject *ZafNotebook::Duplicate(void)
{
	return (ZAF_NULLP(ZafWindowObject));
}

bool ZafNotebook::IsA(ZafClassID) const
{
	return (false);
}

bool ZafNotebook::IsA(ZafClassName) const
{
	return (false);
}

ZafLogicalEvent ZafNotebook::LogicalEvent(const ZafEventStruct &)
{
	return (L_NONE);
}

const ZafPaletteStruct *ZafNotebook::MapClassPalette(ZafPaletteType, ZafPaletteState)
{
	return (ZAF_NULLP(ZafPaletteStruct));
}

bool ZafNotebook::SetAcceptDrop(bool )
{
	return (false);
}

bool ZafNotebook::SetBordered(bool)
{
	return (false);
}

bool ZafNotebook::SetDestroyable(bool )
{
	return (false);
}

bool ZafNotebook::SetLocked(bool )
{
	return (false);
}

bool ZafNotebook::SetMaximized(bool )
{
	return (false);
}

bool ZafNotebook::SetMinimized(bool )
{
	return (false);
}

bool ZafNotebook::SetModal(bool )
{
	return (false);
}

bool ZafNotebook::SetMoveable(bool )
{
	return (false);
}

ZafWindow *ZafNotebook::SetOwner(ZafWindow *)
{
	return (ZAF_NULLP(ZafWindow));
}

ZafSelectionType ZafNotebook::SetSelectionType(ZafSelectionType )
{
	return (ZAF_SINGLE_SELECTION);
}

bool ZafNotebook::SetSizeable(bool )
{
	return (false);
}

int ZafNotebook::SetTabHeight(int)
{
	return (0);
}

int ZafNotebook::SetTabWidth(int)
{
	return (0);
}
		
bool ZafNotebook::SetTemporary(bool )
{
	return (false);
}

// ----- Persistent functions -----------------------------------------------

ZafNotebook::ZafNotebook(const ZafIChar *name, ZafObjectPersistence &persist) :
	ZafWindow(name, persist.PushLevel(className, classID, ZAF_PERSIST_DIRECTORY)),
	currentPage(-1)
{
	persist.PopLevel();
}

ZafElement *ZafNotebook::Read(const ZafIChar *, ZafObjectPersistence &)
{
	return (ZAF_NULLP(ZafElement));
}

void ZafNotebook::ReadData(ZafObjectPersistence &)
{
}

void ZafNotebook::Write(ZafObjectPersistence &)
{
}

void ZafNotebook::WriteChildren(ZafObjectPersistence &)
{
}

void ZafNotebook::WriteData(ZafObjectPersistence &)
{
}

void ZafNotebook::WriteSupportChildren(ZafObjectPersistence &)
{
}

