//	Zinc Application Framework - Z_TABLE1.CPP
//	COPYRIGHT (C) 1990-1998.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

// This file provided as a stub for the personal version of ZAF.

#include <z_table.hpp>
#include <z_mouse2.hpp>

ZafTableHeader *ZafTable::ColumnTableHeader(void) const
{
	return (ZAF_NULLP(ZafTableHeader));
}

ZafTableHeader *ZafTable::CornerTableHeader(void) const
{
	return (ZAF_NULLP(ZafTableHeader));
}

ZafTableHeader *ZafTable::RowTableHeader(void) const
{
	return (ZAF_NULLP(ZafTableHeader));
}

// ----- ZafTableHeader -----------------------------------------------------

ZafTableHeader::ZafTableHeader(int width, int height, ZafTableHeaderType) :
	ZafWindow(0, 0, width, height),
	headerType((ZafTableHeaderType)-1),
	virtualField(ZAF_NULLP(ZafWindowObject))
{
}

ZafTableHeader::ZafTableHeader(const ZafTableHeader &copy) :
	ZafWindow(copy),
	headerType((ZafTableHeaderType)-1),
	virtualField(ZAF_NULLP(ZafWindowObject))
{
}

ZafTableHeader::~ZafTableHeader(void)
{
}

ZafWindowObject *ZafTableHeader::Add(ZafWindowObject *, ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

void ZafTableHeader::ConvertRegion(ZafRegionStruct &, ZafCoordinateType)
{
}

ZafEventType ZafTableHeader::Draw(const ZafEventStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafTableHeader::DrawBorder(ZafRegionStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafEventType ZafTableHeader::DrawFocus(ZafRegionStruct &, ZafEventType)
{
	return (S_CONTINUE);
}

ZafWindowObject *ZafTableHeader::Duplicate(void)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafEventType ZafTableHeader::Event(const ZafEventStruct &)
{
	return (S_CONTINUE);
}

bool ZafTableHeader::IsA(ZafClassID) const
{
	return (false);
}

bool ZafTableHeader::IsA(ZafClassName) const
{
	return (false);
}

const ZafPaletteStruct *ZafTableHeader::MapClassPalette(ZafPaletteType, ZafPaletteState)
{
	return (ZAF_NULLP(ZafPaletteStruct));
}

ZafWindowObject *ZafTableHeader::NotifySelection(ZafWindowObject *, bool)
{
	return (ZAF_NULLP(ZafWindowObject));
}

bool ZafTableHeader::SetAcceptDrop(bool )
{
	return (false);
}

bool ZafTableHeader::SetBordered(bool )
{
	return (false);
}

bool ZafTableHeader::SetDestroyable(bool )
{
	return (false);
}

bool ZafTableHeader::SetFocus(bool )
{
	return (false);
}

ZafTableHeaderType ZafTableHeader::SetHeaderType(ZafTableHeaderType)
{
	return ((ZafTableHeaderType)-1);
}

const ZafIChar *ZafTableHeader::SetHelpContext(const ZafIChar *)
{
	return (ZAF_NULLP(ZafIChar));
}

bool ZafTableHeader::SetLocked(bool )
{
	return (false);
}

bool ZafTableHeader::SetMaximized(bool )
{
	return (false);
}

bool ZafTableHeader::SetMinimized(bool )
{
	return (false);
}

bool ZafTableHeader::SetModal(bool )
{
	return (false);
}

bool ZafTableHeader::SetMoveable(bool )
{
	return (false);
}

bool ZafTableHeader::SetNoncurrent(bool )
{
	return (false);
}

bool ZafTableHeader::SetNormalHotKeys(bool )
{
	return (false);
}

ZafWindow *ZafTableHeader::SetOwner(ZafWindow *)
{
	return (ZAF_NULLP(ZafWindow));
}

ZafRegionType ZafTableHeader::SetRegionType(ZafRegionType )
{
	return (ZAF_INSIDE_REGION);
}

bool ZafTableHeader::SetSizeable(bool )
{
	return (false);
}

bool ZafTableHeader::SetSupportObject(bool )
{
	return (false);
}

bool ZafTableHeader::SetTemporary(bool )
{
	return (false);
}

ZafUserFunction ZafTableHeader::SetUserFunction(ZafUserFunction )
{
	return (ZAF_NULLF(ZafUserFunction));
}

ZafWindowObject *ZafTableHeader::SetVirtualField(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

ZafWindowObject *ZafTableHeader::Subtract(ZafWindowObject *)
{
	return (ZAF_NULLP(ZafWindowObject));
}

// ----- OS Specific Functions ----------------------------------------------

OSWindowID ZafTableHeader::OSScreenID(ZafScreenIDType type) const
{
	return (ZafWindow::OSScreenID(type));
}

// ----- Persistent functions -----------------------------------------------

ZafTableHeader::ZafTableHeader(const ZafIChar *name, ZafObjectPersistence &persist) :
	ZafWindow(name, persist.PushLevel(className, classID, ZAF_PERSIST_DIRECTORY)),
	headerType((ZafTableHeaderType)-1),
	virtualField(ZAF_NULLP(ZafWindowObject))
{
	persist.PopLevel();
}

ZafElement *ZafTableHeader::Read(const ZafIChar *, ZafObjectPersistence &)
{
	return (ZAF_NULLP(ZafElement));
}

void ZafTableHeader::ReadData(ZafObjectPersistence &)
{
}

void ZafTableHeader::Write(ZafObjectPersistence &)
{
}

void ZafTableHeader::WriteData(ZafObjectPersistence &)
{
}

